defmodule DecentralisedBookIndexWeb.Components.MyPartials.Footer do
  use Phoenix.Component

  def partial_footer(assigns) do
    ~H"""
    <footer class="bg-white shadow-sm dark:bg-gray-900">
      <div class="w-full max-w-screen-xl mx-auto p-4 md:py-8">
        <hr class="my-6 border-gray-200 sm:mx-auto dark:border-gray-700 lg:my-8" />
        <span class="block text-sm text-gray-500 sm:text-center dark:text-gray-400">© 2025 Kostiantyn Klochko. All Rights Reserved.</span>
      </div>
    </footer>
    """
  end

  def selected_navbar_link_css(page_title, active_title) do
    if active_title =~ page_title do
      "block py-2 pr-4 pl-3 text-black dark:text-white rounded bg-primary-700 lg:bg-transparent lg:text-primary-700 lg:p-0 dark:text-white"
    else
      "block py-2 pr-4 pl-3 text-gray-700 border-b border-gray-100 hover:bg-gray-50 lg:hover:bg-transparent lg:border-0 lg:hover:text-primary-700 lg:p-0 dark:text-gray-400 lg:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white lg:dark:hover:bg-transparent dark:border-gray-700"
    end
  end
end
