defmodule DecentralisedBookIndex.Repo.Migrations.AddRelationshipToDbiServerForAllResources do
  @moduledoc """
  Updates resources based on their most recent snapshots.

  This file was autogenerated with `mix ash_postgres.generate_migrations`
  """

  use Ecto.Migration

  def up do
    alter table(:publishers) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "publishers_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:books) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "books_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:book_ids) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "book_ids_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:book_editions_registries) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "book_editions_registries_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:authors) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "authors_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:author_role) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "author_role_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end

    alter table(:author_alias_registries) do
      add :dbi_server_id,
          references(:dbi_servers,
            column: :id,
            name: "author_alias_registries_dbi_server_id_fkey",
            type: :uuid,
            prefix: "public"
          )
    end
  end

  def down do
    drop constraint(:author_alias_registries, "author_alias_registries_dbi_server_id_fkey")

    alter table(:author_alias_registries) do
      remove :dbi_server_id
    end

    drop constraint(:author_role, "author_role_dbi_server_id_fkey")

    alter table(:author_role) do
      remove :dbi_server_id
    end

    drop constraint(:authors, "authors_dbi_server_id_fkey")

    alter table(:authors) do
      remove :dbi_server_id
    end

    drop constraint(:book_editions_registries, "book_editions_registries_dbi_server_id_fkey")

    alter table(:book_editions_registries) do
      remove :dbi_server_id
    end

    drop constraint(:book_ids, "book_ids_dbi_server_id_fkey")

    alter table(:book_ids) do
      remove :dbi_server_id
    end

    drop constraint(:books, "books_dbi_server_id_fkey")

    alter table(:books) do
      remove :dbi_server_id
    end

    drop constraint(:publishers, "publishers_dbi_server_id_fkey")

    alter table(:publishers) do
      remove :dbi_server_id
    end
  end
end
